/*
	Include file for SM_XRAYS.POV
	Submitted for the May-June 1995 Raytracing Competition

	Created by Stefan T. Maes - maes@uia.ua.ac.be
	Other traces of mine can be found on the WWW.
	The URL is http://www.uia.ac.be/u/maes/index.html
*/


#declare CrystalShape=
   union{
	 triangle{ <-.5,0,0>, <0,-.5,0>, <0,-.5,1>}
	 triangle{ <-.5,0,0>, <0, .5,0>, <0, .5,1>}
	 triangle{ < .5,0,1>, <0,-.5,0>, <0,-.5,1>}
	 triangle{ < .5,0,1>, <0, .5,0>, <0, .5,1>}
	 triangle{ <-.5,0,0>, <0,-.5,0>, <0, .5,0>}
	 triangle{ <-.5,0,0>, <0,-.5,1>, <0, .5,1>}
	 triangle{ <-.5,0,1>, <0,-.5,0>, <0, .5,0>}
	 triangle{ <-.5,0,1>, <0,-.5,1>, <0, .5,1>}
	 texture{
		 pigment { color Orange filter .55 }
		 finish { ambient 0.2  diffuse 0.3 reflection 0.5
			  refraction 0.85    ior 1.5   
			  phong 0.3          phong_size 60
			}
	       }
      }

#declare Crystals=
  union{
object{ CrystalShape rotate z*  149     scale < 0.53    ,       0.41    ,       0.19    >   translate<  2.49    ,       0.22    ,0> }
object{ CrystalShape rotate z*  301     scale < 1.24    ,       1.08    ,       1.49    >   translate<  -4.28   ,       2.70    ,0> }
object{ CrystalShape rotate z*  152     scale < 0.76    ,       0.25    ,       1.13    >   translate<  -2.38   ,       -5.71   ,0> }
object{ CrystalShape rotate z*  133     scale < 0.26    ,       0.33    ,       1.16    >   translate<  1.77    ,       1.90    ,0> }
object{ CrystalShape rotate z*  30      scale < 1.16    ,       0.73    ,       1.21    >   translate<  0.24    ,       -6.07   ,0> }
object{ CrystalShape rotate z*  334     scale < 1.44    ,       1.25    ,       1.28    >   translate<  -0.44   ,       -0.05   ,0> }
object{ CrystalShape rotate z*  144     scale < 0.42    ,       0.70    ,       1.06    >   translate<  23.75   ,       7.31    ,0> }
object{ CrystalShape rotate z*  106     scale < 0.69    ,       1.34    ,       1.28    >   translate<  -10.92  ,       7.47    ,0> }
object{ CrystalShape rotate z*  58      scale < 1.17    ,       0.77    ,       0.56    >   translate<  8.89    ,       -8.11   ,0> }
object{ CrystalShape rotate z*  43      scale < 0.54    ,       0.71    ,       0.28    >   translate<  6.21    ,       -4.05   ,0> }
object{ CrystalShape rotate z*  302     scale < 1.47    ,       0.11    ,       0.86    >   translate<  -3.72   ,       1.07    ,0> }
object{ CrystalShape rotate z*  101     scale < 0.95    ,       1.12    ,       1.43    >   translate<  0.34    ,       -4.83   ,0> }
object{ CrystalShape rotate z*  161     scale < 1.46    ,       0.78    ,       0.48    >   translate<  4.01    ,       -2.34   ,0> }
object{ CrystalShape rotate z*  97      scale < 0.66    ,       0.57    ,       1.18    >   translate<  4.03    ,       -12.94  ,0> }
object{ CrystalShape rotate z*  150     scale < 0.87    ,       0.03    ,       0.32    >   translate<  -5.19   ,       2.61    ,0> }
object{ CrystalShape rotate z*  203     scale < 1.47    ,       1.33    ,       1.13    >   translate<  -0.16   ,       -1.82   ,0> }
object{ CrystalShape rotate z*  174     scale < 1.09    ,       0.64    ,       1.30    >   translate<  -0.67   ,       -0.80   ,0> }
object{ CrystalShape rotate z*  357     scale < 0.56    ,       0.05    ,       0.30    >   translate<  2.93    ,       -2.51   ,0> }
object{ CrystalShape rotate z*  198     scale < 1.23    ,       0.17    ,       0.36    >   translate<  -1.66   ,       5.96    ,0> }
object{ CrystalShape rotate z*  45      scale < 0.82    ,       0.27    ,       1.01    >   translate<  8.40    ,       2.07    ,0> }
object{ CrystalShape rotate z*  205     scale < 0.21    ,       1.35    ,       0.02    >   translate<  -21.81  ,       -1.09   ,0> }
object{ CrystalShape rotate z*  231     scale < 0.12    ,       1.01    ,       1.10    >   translate<  2.65    ,       -5.54   ,0> }
object{ CrystalShape rotate z*  149     scale < 0.28    ,       1.35    ,       1.50    >   translate<  -0.48   ,       -3.83   ,0> }
object{ CrystalShape rotate z*  253     scale < 0.19    ,       0.33    ,       1.32    >   translate<  -2.78   ,       8.59    ,0> }
object{ CrystalShape rotate z*  272     scale < 0.12    ,       0.57    ,       0.73    >   translate<  -12.00  ,       4.61    ,0> }
object{ CrystalShape rotate z*  119     scale < 0.36    ,       0.41    ,       0.63    >   translate<  -6.76   ,       -5.19   ,0> }
object{ CrystalShape rotate z*  335     scale < 1.37    ,       1.00    ,       0.92    >   translate<  7.70    ,       3.04    ,0> }
object{ CrystalShape rotate z*  280     scale < 0.42    ,       0.58    ,       0.46    >   translate<  -4.84   ,       0.59    ,0> }
object{ CrystalShape rotate z*  299     scale < 0.22    ,       0.03    ,       1.15    >   translate<  1.15    ,       7.60    ,0> }
object{ CrystalShape rotate z*  329     scale < 0.41    ,       0.88    ,       0.09    >   translate<  4.95    ,       -2.16   ,0> }
object{ CrystalShape rotate z*  277     scale < 1.47    ,       0.71    ,       1.41    >   translate<  -1.00   ,       5.90    ,0> }
object{ CrystalShape rotate z*  212     scale < 0.44    ,       1.16    ,       0.93    >   translate<  0.78    ,       -0.78   ,0> }
object{ CrystalShape rotate z*  126     scale < 1.06    ,       1.12    ,       0.15    >   translate<  5.71    ,       1.86    ,0> }
object{ CrystalShape rotate z*  2       scale < 0.51    ,       0.12    ,       0.31    >   translate<  -4.06   ,       0.04    ,0> }
object{ CrystalShape rotate z*  127     scale < 0.18    ,       0.16    ,       0.87    >   translate<  0.06    ,       3.97    ,0> }
object{ CrystalShape rotate z*  41      scale < 0.32    ,       0.37    ,       0.36    >   translate<  -1.92   ,       0.66    ,0> }
object{ CrystalShape rotate z*  218     scale < 1.30    ,       0.36    ,       0.68    >   translate<  -21.44  ,       2.72    ,0> }
object{ CrystalShape rotate z*  348     scale < 0.57    ,       1.49    ,       0.23    >   translate<  23.09   ,       12.11   ,0> }
object{ CrystalShape rotate z*  307     scale < 1.24    ,       0.18    ,       1.35    >   translate<  1.28    ,       -0.59   ,0> }
object{ CrystalShape rotate z*  34      scale < 1.26    ,       0.61    ,       0.50    >   translate<  1.93    ,       -15.76  ,0> }
object{ CrystalShape rotate z*  232     scale < 0.73    ,       1.37    ,       0.87    >   translate<  -0.85   ,       9.54    ,0> }
object{ CrystalShape rotate z*  324     scale < 0.07    ,       0.47    ,       1.42    >   translate<  -5.89   ,       -6.13   ,0> }
object{ CrystalShape rotate z*  69      scale < 0.49    ,       1.22    ,       0.02    >   translate<  -12.63  ,       -5.91   ,0> }
object{ CrystalShape rotate z*  4       scale < 1.09    ,       0.95    ,       1.25    >   translate<  1.55    ,       -10.07  ,0> }
object{ CrystalShape rotate z*  95      scale < 0.27    ,       1.41    ,       1.43    >   translate<  3.73    ,       0.62    ,0> }
object{ CrystalShape rotate z*  241     scale < 1.16    ,       1.16    ,       0.58    >   translate<  9.61    ,       4.50    ,0> }
object{ CrystalShape rotate z*  15      scale < 0.91    ,       0.33    ,       1.15    >   translate<  -17.46  ,       -0.25   ,0> }
object{ CrystalShape rotate z*  35      scale < 0.23    ,       0.02    ,       0.61    >   translate<  1.69    ,       1.05    ,0> }
object{ CrystalShape rotate z*  4       scale < 0.44    ,       0.37    ,       1.21    >   translate<  -7.91   ,       -0.35   ,0> }
object{ CrystalShape rotate z*  317     scale < 1.10    ,       1.29    ,       0.02    >   translate<  -0.49   ,       -5.52   ,0> }
object{ CrystalShape rotate z*  297     scale < 0.61    ,       0.23    ,       1.17    >   translate<  -7.43   ,       -2.48   ,0> }
object{ CrystalShape rotate z*  122     scale < 0.27    ,       0.63    ,       0.71    >   translate<  7.32    ,       -4.60   ,0> }
object{ CrystalShape rotate z*  67      scale < 1.43    ,       0.75    ,       0.20    >   translate<  -3.23   ,       5.38    ,0> }
object{ CrystalShape rotate z*  324     scale < 1.26    ,       1.20    ,       0.19    >   translate<  0.05    ,       -11.54  ,0> }
object{ CrystalShape rotate z*  257     scale < 0.30    ,       0.22    ,       0.62    >   translate<  -8.63   ,       0.36    ,0> }
object{ CrystalShape rotate z*  170     scale < 0.90    ,       0.68    ,       0.32    >   translate<  -4.04   ,       2.53    ,0> }
object{ CrystalShape rotate z*  299     scale < 0.01    ,       0.18    ,       0.99    >   translate<  17.40   ,       -0.41   ,0> }
object{ CrystalShape rotate z*  298     scale < 1.16    ,       0.88    ,       1.16    >   translate<  1.60    ,       -10.89  ,0> }
object{ CrystalShape rotate z*  226     scale < 0.34    ,       0.75    ,       1.15    >   translate<  0.96    ,       -13.37  ,0> }
object{ CrystalShape rotate z*  352     scale < 1.45    ,       0.73    ,       0.80    >   translate<  11.64   ,       -20.43  ,0> }
object{ CrystalShape rotate z*  268     scale < 0.10    ,       0.43    ,       1.31    >   translate<  -4.70   ,       4.04    ,0> }
object{ CrystalShape rotate z*  191     scale < 1.43    ,       1.42    ,       1.13    >   translate<  13.71   ,       -0.09   ,0> }
object{ CrystalShape rotate z*  86      scale < 0.71    ,       0.40    ,       1.07    >   translate<  -1.90   ,       2.26    ,0> }
object{ CrystalShape rotate z*  33      scale < 0.85    ,       0.92    ,       0.18    >   translate<  8.34    ,       -5.59   ,0> }
object{ CrystalShape rotate z*  170     scale < 0.74    ,       1.37    ,       0.01    >   translate<  -8.13   ,       3.37    ,0> }
object{ CrystalShape rotate z*  222     scale < 0.82    ,       0.56    ,       0.92    >   translate<  17.71   ,       -0.03   ,0> }
object{ CrystalShape rotate z*  350     scale < 1.01    ,       0.36    ,       1.27    >   translate<  -2.95   ,       5.91    ,0> }
object{ CrystalShape rotate z*  287     scale < 0.67    ,       1.06    ,       0.58    >   translate<  10.48   ,       -0.33   ,0> }
object{ CrystalShape rotate z*  113     scale < 0.60    ,       1.02    ,       0.07    >   translate<  1.83    ,       -3.75   ,0> }
object{ CrystalShape rotate z*  159     scale < 0.72    ,       0.14    ,       0.97    >   translate<  -11.96  ,       -0.64   ,0> }
object{ CrystalShape rotate z*  358     scale < 0.46    ,       1.45    ,       0.80    >   translate<  8.52    ,       0.24    ,0> }
object{ CrystalShape rotate z*  300     scale < 0.62    ,       0.54    ,       0.76    >   translate<  -8.92   ,       9.28    ,0> }
object{ CrystalShape rotate z*  113     scale < 0.95    ,       1.00    ,       1.09    >   translate<  -0.38   ,       -7.70   ,0> }
object{ CrystalShape rotate z*  42      scale < 0.64    ,       0.13    ,       1.35    >   translate<  -0.14   ,       -15.97  ,0> }
object{ CrystalShape rotate z*  84      scale < 0.92    ,       1.11    ,       1.33    >   translate<  2.19    ,       -0.96   ,0> }
object{ CrystalShape rotate z*  244     scale < 1.00    ,       1.42    ,       0.61    >   translate<  0.22    ,       -0.38   ,0> }
object{ CrystalShape rotate z*  97      scale < 1.23    ,       0.08    ,       0.79    >   translate<  -0.83   ,       -0.52   ,0> }
object{ CrystalShape rotate z*  181     scale < 1.20    ,       0.16    ,       0.26    >   translate<  -6.56   ,       -1.43   ,0> }
object{ CrystalShape rotate z*  129     scale < 0.86    ,       0.91    ,       1.14    >   translate<  -2.41   ,       0.23    ,0> }
object{ CrystalShape rotate z*  205     scale < 0.78    ,       0.86    ,       1.13    >   translate<  3.37    ,       -6.78   ,0> }
object{ CrystalShape rotate z*  262     scale < 0.45    ,       1.13    ,       1.03    >   translate<  3.00    ,       -6.56   ,0> }
object{ CrystalShape rotate z*  75      scale < 1.17    ,       0.93    ,       0.02    >   translate<  -6.08   ,       3.52    ,0> }
object{ CrystalShape rotate z*  284     scale < 1.38    ,       0.56    ,       1.15    >   translate<  -7.34   ,       1.38    ,0> }
object{ CrystalShape rotate z*  177     scale < 0.01    ,       0.15    ,       1.46    >   translate<  2.22    ,       -1.38   ,0> }
object{ CrystalShape rotate z*  356     scale < 0.30    ,       1.17    ,       0.29    >   translate<  5.54    ,       -6.99   ,0> }
object{ CrystalShape rotate z*  214     scale < 0.43    ,       1.30    ,       1.07    >   translate<  -7.49   ,       3.79    ,0> }
object{ CrystalShape rotate z*  252     scale < 0.22    ,       0.87    ,       0.40    >   translate<  -0.15   ,       -0.22   ,0> }
object{ CrystalShape rotate z*  64      scale < 0.40    ,       0.19    ,       0.34    >   translate<  -5.68   ,       2.17    ,0> }
object{ CrystalShape rotate z*  34      scale < 0.56    ,       0.83    ,       1.16    >   translate<  -9.65   ,       0.77    ,0> }
object{ CrystalShape rotate z*  276     scale < 1.49    ,       1.24    ,       0.48    >   translate<  2.99    ,       -4.46   ,0> }
object{ CrystalShape rotate z*  4       scale < 0.72    ,       0.78    ,       0.54    >   translate<  5.82    ,       0.13    ,0> }
object{ CrystalShape rotate z*  41      scale < 1.26    ,       0.04    ,       0.68    >   translate<  -13.23  ,       4.67    ,0> }
object{ CrystalShape rotate z*  303     scale < 0.64    ,       0.36    ,       1.37    >   translate<  -5.18   ,       -0.77   ,0> }
object{ CrystalShape rotate z*  211     scale < 0.48    ,       0.37    ,       0.95    >   translate<  7.91    ,       -5.62   ,0> }
object{ CrystalShape rotate z*  143     scale < 1.36    ,       0.37    ,       1.38    >   translate<  -9.31   ,       10.45   ,0> }
object{ CrystalShape rotate z*  192     scale < 0.03    ,       1.34    ,       0.46    >   translate<  3.64    ,       -7.55   ,0> }
object{ CrystalShape rotate z*  282     scale < 1.08    ,       1.15    ,       1.28    >   translate<  24.41   ,       -1.92   ,0> }
object{ CrystalShape rotate z*  238     scale < 0.66    ,       0.90    ,       0.31    >   translate<  0.59    ,       -1.46   ,0> }
object{ CrystalShape rotate z*  100     scale < 0.24    ,       0.84    ,       0.82    >   translate<  14.73   ,       -9.43   ,0> }
object{ CrystalShape rotate z*  151     scale < 1.30    ,       0.90    ,       0.34    >   translate<  -0.40   ,       -15.65  ,0> }
object{ CrystalShape rotate z*  75      scale < 0.55    ,       1.21    ,       0.86    >   translate<  -0.50   ,       0.10    ,0> }
object{ CrystalShape rotate z*  21      scale < 0.23    ,       0.04    ,       0.21    >   translate<  -3.87   ,       0.35    ,0> }
object{ CrystalShape rotate z*  276     scale < 0.83    ,       1.17    ,       1.35    >   translate<  -3.19   ,       0.00    ,0> }
object{ CrystalShape rotate z*  121     scale < 0.70    ,       0.25    ,       0.07    >   translate<  17.87   ,       -8.31   ,0> }
object{ CrystalShape rotate z*  315     scale < 0.28    ,       0.87    ,       1.26    >   translate<  -1.19   ,       7.36    ,0> }
object{ CrystalShape rotate z*  359     scale < 0.39    ,       0.85    ,       0.42    >   translate<  -1.00   ,       -0.63   ,0> }
object{ CrystalShape rotate z*  227     scale < 1.12    ,       1.23    ,       0.15    >   translate<  -0.11   ,       11.57   ,0> }
object{ CrystalShape rotate z*  4       scale < 0.42    ,       0.91    ,       1.12    >   translate<  6.97    ,       17.68   ,0> }
object{ CrystalShape rotate z*  147     scale < 0.10    ,       0.26    ,       0.82    >   translate<  -0.85   ,       0.24    ,0> }
object{ CrystalShape rotate z*  321     scale < 0.64    ,       0.68    ,       1.12    >   translate<  0.20    ,       -0.10   ,0> }
object{ CrystalShape rotate z*  73      scale < 1.07    ,       0.23    ,       0.05    >   translate<  0.10    ,       -8.80   ,0> }
object{ CrystalShape rotate z*  206     scale < 0.98    ,       1.43    ,       1.33    >   translate<  6.66    ,       -0.39   ,0> }
object{ CrystalShape rotate z*  355     scale < 0.55    ,       0.77    ,       1.15    >   translate<  -3.22   ,       -0.82   ,0> }
object{ CrystalShape rotate z*  103     scale < 1.23    ,       0.73    ,       1.43    >   translate<  0.84    ,       -3.28   ,0> }
object{ CrystalShape rotate z*  35      scale < 0.29    ,       0.94    ,       1.03    >   translate<  -2.39   ,       -6.70   ,0> }
object{ CrystalShape rotate z*  159     scale < 0.92    ,       1.30    ,       1.15    >   translate<  15.24   ,       2.61    ,0> }
object{ CrystalShape rotate z*  215     scale < 0.32    ,       1.26    ,       1.27    >   translate<  -12.04  ,       -0.93   ,0> }
object{ CrystalShape rotate z*  174     scale < 0.55    ,       0.31    ,       0.12    >   translate<  0.81    ,       -3.77   ,0> }
object{ CrystalShape rotate z*  240     scale < 1.02    ,       1.29    ,       1.18    >   translate<  2.94    ,       -11.17  ,0> }
object{ CrystalShape rotate z*  284     scale < 1.46    ,       1.17    ,       0.65    >   translate<  -4.07   ,       -1.36   ,0> }
object{ CrystalShape rotate z*  349     scale < 0.68    ,       0.20    ,       1.36    >   translate<  -3.11   ,       -2.49   ,0> }
object{ CrystalShape rotate z*  190     scale < 1.11    ,       1.37    ,       0.07    >   translate<  4.14    ,       6.69    ,0> }
object{ CrystalShape rotate z*  10      scale < 0.59    ,       0.31    ,       1.25    >   translate<  -2.09   ,       -9.88   ,0> }
object{ CrystalShape rotate z*  194     scale < 0.41    ,       1.29    ,       1.02    >   translate<  4.17    ,       -8.30   ,0> }
object{ CrystalShape rotate z*  214     scale < 1.06    ,       0.19    ,       1.20    >   translate<  13.91   ,       -2.32   ,0> }
object{ CrystalShape rotate z*  77      scale < 0.53    ,       0.98    ,       0.78    >   translate<  -9.50   ,       5.69    ,0> }
object{ CrystalShape rotate z*  13      scale < 0.49    ,       1.17    ,       0.06    >   translate<  -2.05   ,       -1.15   ,0> }
object{ CrystalShape rotate z*  130     scale < 1.21    ,       0.04    ,       0.08    >   translate<  -7.64   ,       -0.96   ,0> }
object{ CrystalShape rotate z*  252     scale < 0.48    ,       0.46    ,       0.21    >   translate<  8.72    ,       0.11    ,0> }
object{ CrystalShape rotate z*  33      scale < 0.58    ,       0.34    ,       1.39    >   translate<  -1.13   ,       -2.12   ,0> }
object{ CrystalShape rotate z*  108     scale < 0.32    ,       0.66    ,       0.61    >   translate<  -10.65  ,       -0.06   ,0> }
object{ CrystalShape rotate z*  245     scale < 0.95    ,       1.43    ,       1.27    >   translate<  -3.00   ,       0.24    ,0> }
object{ CrystalShape rotate z*  99      scale < 0.61    ,       1.37    ,       0.42    >   translate<  4.06    ,       -0.10   ,0> }
object{ CrystalShape rotate z*  164     scale < 1.14    ,       0.27    ,       0.66    >   translate<  -5.70   ,       14.41   ,0> }
object{ CrystalShape rotate z*  65      scale < 0.80    ,       1.20    ,       1.00    >   translate<  5.87    ,       -8.41   ,0> }
object{ CrystalShape rotate z*  239     scale < 0.80    ,       0.10    ,       0.18    >   translate<  8.83    ,       28.99   ,0> }
object{ CrystalShape rotate z*  18      scale < 1.25    ,       1.38    ,       0.50    >   translate<  -3.76   ,       -0.01   ,0> }
object{ CrystalShape rotate z*  127     scale < 0.21    ,       1.21    ,       1.47    >   translate<  5.44    ,       0.18    ,0> }
object{ CrystalShape rotate z*  283     scale < 0.79    ,       0.31    ,       0.45    >   translate<  4.06    ,       -5.05   ,0> }
object{ CrystalShape rotate z*  86      scale < 0.09    ,       0.80    ,       0.99    >   translate<  8.61    ,       4.69    ,0> }
object{ CrystalShape rotate z*  185     scale < 0.31    ,       0.10    ,       0.25    >   translate<  0.35    ,       5.24    ,0> }
object{ CrystalShape rotate z*  210     scale < 1.43    ,       0.23    ,       0.32    >   translate<  -2.75   ,       -1.70   ,0> }
object{ CrystalShape rotate z*  351     scale < 0.27    ,       1.16    ,       0.80    >   translate<  -1.64   ,       2.52    ,0> }
object{ CrystalShape rotate z*  26      scale < 0.77    ,       0.41    ,       0.02    >   translate<  8.33    ,       0.15    ,0> }
object{ CrystalShape rotate z*  323     scale < 1.32    ,       1.26    ,       0.56    >   translate<  20.40   ,       -17.80  ,0> }
object{ CrystalShape rotate z*  249     scale < 0.56    ,       0.03    ,       0.86    >   translate<  0.03    ,       -20.91  ,0> }
object{ CrystalShape rotate z*  130     scale < 0.32    ,       0.55    ,       0.55    >   translate<  15.78   ,       10.19   ,0> }
object{ CrystalShape rotate z*  213     scale < 1.41    ,       1.44    ,       0.72    >   translate<  0.14    ,       -10.96  ,0> }
object{ CrystalShape rotate z*  67      scale < 1.45    ,       0.70    ,       0.49    >   translate<  -7.67   ,       -12.46  ,0> }
object{ CrystalShape rotate z*  350     scale < 0.47    ,       1.43    ,       0.33    >   translate<  -5.86   ,       9.50    ,0> }
object{ CrystalShape rotate z*  108     scale < 0.19    ,       0.89    ,       0.79    >   translate<  -15.67  ,       -1.84   ,0> }
object{ CrystalShape rotate z*  346     scale < 0.20    ,       0.03    ,       0.15    >   translate<  -0.04   ,       -7.77   ,0> }
object{ CrystalShape rotate z*  41      scale < 0.48    ,       1.41    ,       0.19    >   translate<  -0.13   ,       -1.82   ,0> }
object{ CrystalShape rotate z*  172     scale < 0.69    ,       0.37    ,       0.13    >   translate<  -1.27   ,       1.68    ,0> }
object{ CrystalShape rotate z*  325     scale < 0.22    ,       1.21    ,       0.75    >   translate<  0.07    ,       -2.07   ,0> }
object{ CrystalShape rotate z*  40      scale < 0.97    ,       0.94    ,       1.03    >   translate<  -6.88   ,       15.00   ,0> }
object{ CrystalShape rotate z*  60      scale < 0.84    ,       1.48    ,       0.95    >   translate<  4.02    ,       7.80    ,0> }
object{ CrystalShape rotate z*  0       scale < 0.33    ,       1.43    ,       1.25    >   translate<  -3.16   ,       23.58   ,0> }
object{ CrystalShape rotate z*  10      scale < 0.39    ,       0.19    ,       0.77    >   translate<  -11.99  ,       8.61    ,0> }
object{ CrystalShape rotate z*  254     scale < 1.15    ,       1.04    ,       1.15    >   translate<  -11.68  ,       1.94    ,0> }
object{ CrystalShape rotate z*  208     scale < 0.07    ,       0.15    ,       0.70    >   translate<  3.30    ,       7.34    ,0> }
object{ CrystalShape rotate z*  32      scale < 1.17    ,       1.29    ,       1.33    >   translate<  0.05    ,       -1.11   ,0> }
object{ CrystalShape rotate z*  102     scale < 0.30    ,       0.60    ,       0.84    >   translate<  0.37    ,       2.15    ,0> }
object{ CrystalShape rotate z*  62      scale < 0.82    ,       1.34    ,       0.98    >   translate<  -15.38  ,       17.21   ,0> }
object{ CrystalShape rotate z*  120     scale < 1.32    ,       0.76    ,       1.46    >   translate<  -2.28   ,       8.15    ,0> }
object{ CrystalShape rotate z*  14      scale < 0.07    ,       0.78    ,       0.64    >   translate<  -0.25   ,       12.98   ,0> }
object{ CrystalShape rotate z*  11      scale < 0.68    ,       0.37    ,       0.56    >   translate<  -7.86   ,       2.05    ,0> }
object{ CrystalShape rotate z*  245     scale < 1.18    ,       0.98    ,       0.57    >   translate<  -1.45   ,       0.08    ,0> }
object{ CrystalShape rotate z*  59      scale < 1.38    ,       0.29    ,       0.41    >   translate<  -14.23  ,       17.21   ,0> }
object{ CrystalShape rotate z*  323     scale < 1.05    ,       0.35    ,       0.54    >   translate<  0.36    ,       12.45   ,0> }
object{ CrystalShape rotate z*  136     scale < 0.38    ,       0.04    ,       0.65    >   translate<  3.28    ,       23.40   ,0> }
       } // end 171 crystals
